:root {
    --spacer-top: 150px;
    --spacer-welcome: 90px;
    --color-main: #202124;
    --color-accent: #34A853;
    --color-accent-light: #48D597;
    --color-bg: #F8F9FA;
    --color-bg-light: #fff;
    --color-shadow: #00002412;
    --card-shadow: 0 5px 15px 0 var(--color-shadow);
    --color-text-pale: #5F6368;
    --size-font-header-large: 64px;
    --size-font-header-regular: 48px;
    --size-font-regular: 18px;
    --color-main-gradient: linear-gradient(149.46deg, #3C7BED 0%, #1163CB 100%);
    --swiper-navigation-size: 60px !important;
    --swiper-button-size: 60px;
}

@media (width < 1920px) {
    :root {
        --spacer-welcome: 60px;
        --size-font-header-large: 52px;
        --size-font-header-regular: 36px;
    }
}

@media (width < 1280px) {
    :root {
        --spacer-welcome: 70px;
        --size-font-header-large: 60px;
    }
}

@media (width < 768px) {
    :root {
        --spacer-welcome: 50px;
        --size-font-header-large: 44px;
        --spacer-top: 120px;
        --card-shadow: 0 3px 10px 0 var(--color-shadow);
        --swiper-navigation-size: 45px !important;
        --swiper-button-size: 45px;
    }
}

@media (width < 480px) {
    :root {
        --spacer-welcome: 30px;
        --size-font-header-large: 28px;
        --spacer-top: 100px;
        --size-font-header-regular: 30px;
    }
}

body {
    font-family: 'GoogleSans', sans-serif;
    color: var(--color-main);
}

.visually-hidden {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/* Страница вакансий */
.page-section {
    margin-top: var(--spacer-top);
    font-size: var(--size-font-regular);
}

.page-section:last-child {
    margin-bottom: var(--spacer-top);
}

.welcome {
    margin-top: var(--spacer-welcome);
}

.welcome__header {
    font-family: "GoogleSans", sans-serif;
    font-weight: 700;
    font-size: var(--size-font-header-large);
    line-height: 1.1;
    color: var(--color-main);
    margin-bottom: 60px;
}

.text-accent {
    color: var(--color-accent);
}

.welcome__list {
    display: grid;
    grid-template-columns: 1fr 1fr 2.4fr;
    grid-auto-rows: min-content;
    gap: 20px;
}

.welcome__img {
    border-radius: 20px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.size-rationed {
    aspect-ratio: 1.5/1;
}

.welcome__list-item:last-child {
    grid-column: 3;
    grid-row: 1/3;
}

.vacancies {
    max-width: min(1500px, calc(100% - 130px));
    padding: 80px 110px;
    background-color: var(--color-bg);
    border-radius: 30px;
    margin-left: auto;
    margin-right: auto;
    color: var(--color-main);
    position: relative;
}

.vacancies__decor {
    z-index: 1;
    position: absolute;
    top: 255px;
    right: 255px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.vacancies__circle {
    display: block;
    border: 56px;
    border-radius: 50%;
    aspect-ratio: 1/1;
    position: absolute;
}

.vacancies__circle::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 50%;
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
}

.circle-small {
    width: 258px;
    border: 92px;
}

.circle-small::before {
    padding: 92px;
    background: radial-gradient(circle, rgba(52, 168, 83, 0.11) 13.8%, rgba(52, 168, 83, 0) 88.65%);
}

.circle-medium {
    width: 370px;
}

.circle-medium::before {
    padding: 56px;
    background: radial-gradient(circle, rgba(52, 168, 83, 0.08) 13.8%, rgba(52, 168, 83, 0) 88.65%);
}

.circle-large {
    width: 483px;
}

.circle-large::before {
    padding: 56px;
    background: radial-gradient(circle, rgba(52, 168, 83, 0.05) 13.8%, rgba(52, 168, 83, 0) 88.65%);
}

.vacancies__header {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 400;
    font-size: var(--size-font-header-regular);
    line-height: 1.2;
    text-align: center;
    margin-bottom: 50px;
    position: relative;
    z-index: 2;
}

.vacancies__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: minmax(288px, 1fr);
    gap: 20px;
    position: relative;
    z-index: 2;
}

.vacancies__card {
    padding: 15px 15px 0 15px;
    background-color: var(--color-bg-light);
    border-radius: 20px;
    box-shadow: var(--card-shadow);
    height: 100%;
    display: flex;
    flex-direction: column;
}

.vacancies__img {
    width: 100%;
    object-fit: cover;
    border-radius: 15px;
    display: block;
}

.vacancies__vacancy-name {
    flex-grow: 1;
    align-items: center;
    display: flex;
    font-weight: 500;
    padding: 10px;
}

.reply__form {
    border-radius: 30px;
    background-image: var(--color-main-gradient);
    padding: 60px;
    display: grid;
    grid-template-columns: 0.86fr 1fr;
    gap: 0 100px;
}

.reply__column {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.reply__header {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 400;
    font-size: var(--size-font-header-regular);
    line-height: 1.2;
    color: var(--color-accent-light);
    grid-column: 1;
    grid-row: 1/3;
}

.reply__input {
    padding: 15px 10px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid var(--color-bg-light);
    line-height: 1.4;
    color: var(--color-bg-light);
    font-size: inherit;
    grid-column: 2;
}

.reply__input + .reply__input {
    margin-top: 20px;
}

.reply__input::placeholder {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 400;
    line-height: 1.4;
    letter-spacing: 0%;
    color: var(--color-bg-light);
}

.reply__resume {
    display: flex;
    margin-top: 19px;
    justify-content: space-between;
    align-items: center;
    grid-column: 2;
}

.reply__label {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 400;
    line-height: 140%;
    color: var(--color-bg-light);
    display: flex;
}

.reply__label[for="policy"]{
    grid-column: 1;
    grid-row: 5;
    align-self: end;
}

.file-label {
    padding: 8px 25px;
    background-color: #FFFFFF33;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    border-radius: 25px;
}

.file-label img {
    width: 24px;
    height: 24px;
}

.reply__submit {
    min-width: 245px;
    padding: 12.5px;
    width: fit-content;
    margin-top: 29px;
    background-color: var(--color-bg-light);
    font-weight: 500;
    line-height: 1.4;
    font-family: 'GoogleSans', sans-serif;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    font-size: inherit;
}

input[name="resume"]:focus-within + .file-label {
    outline: auto;
}

.reply__custom-checkbox {
    display: flex;
    width: 25px;
    height: 25px;
    background-color: var(--color-bg-light);
    margin-right: 20px;
    border-radius: 5px;
    border: 1px solid #00000033;
    flex-shrink: 0;
    position: relative;
    align-items: center;
    justify-content: center;
}

#policy:focus-within + .reply__label .reply__custom-checkbox {
    outline: auto;
}

#policy:checked + .reply__label .reply__custom-checkbox::before {
    content: '';
    display: block;
    width: 15px;
    height: 15px;
    background-color: var(--color-accent);
    border-radius: 3px;
}

.advantages__header {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 400;
    font-size: var(--size-font-header-regular);
    line-height: 1.2;
    text-align: center;
    margin-bottom: 50px;
    max-width: 670px;
    margin-left: auto;
    margin-right: auto;
}

.advantages__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: minmax(235px, min-content);
    gap: 20px;
}

.advantages__card {
    padding: 30px;
    background-color: var(--color-bg);
    height: 100%;
    border-radius: 20px;
}

.advantages__icon {
    width: 70px;
    height: 70px;
    display: block;
    border: 4px solid var(--color-bg-light);
    padding: 16px;
    margin-bottom: 30px;
    border-radius: 10px;
    box-shadow: var(--card-shadow);
}

.advantages__description {
    font-family: 'GoogleSans', sans-serif;
    font-weight: 500;
    line-height: 1.4;
}

@media (width < 1920px) {
    .welcome__header {
        margin-bottom: 50px;
        line-height: 1;
    }
    
    .vacancies {
        padding: 80px 75px;
    }

    .vacancies__list {
        grid-auto-rows: min-content;
    }

    .vacancies__card {
        height: 100%;
        min-height: 235px;
    }

    .vacancies__vacancy-name {
        font-size: 16px;
        padding: 10px 0;
    }

    .circle-small {
        width: 177px;
        border: 63px;
    }

    .circle-small::before {
        padding: 63px;
    }

    .circle-medium {
        width: 254px;
        border: 38.37px;
    }

    .circle-medium::before {
        padding: 38.37px;
    }

    .circle-large {
        width: 331px;
        border: 38.37px;
    }

    .circle-large::before {
        padding: 38.37px;
    }

    .vacancies__decor {
        top: 180px;
        right: 180px;
    }

    .reply__form {
        grid-template-columns: 0.8fr 1fr;
    }

    .advantages__header {
        max-width: 510px;
    }
}

@media (width < 1280px) {
    .welcome__list {
        grid-template-columns: 1fr 1fr;
    }

    .welcome__list-item:last-child {
        grid-column: 1 / -1;
        grid-row: auto;
    }

    .vacancies {
        padding: 80px 40px;
        max-width: 100%;
    }

    .vacancies__header {
        margin-bottom: 40px;
    }

    .vacancies__card {
        min-height: 222px;
    }

    .circle-small {
        width: 116px;
        border: 41.28px;
    }

    .circle-small::before {
        padding: 41.28px;
    }

    .circle-medium {
        width: 166.3px;
        border: 25.12px;
    }

    .circle-medium::before {
        padding: 25.12px;
    }

    .circle-large {
        width: 217px;
        border: 25.12px;
    }

    .circle-large::before {
        padding: 25.12px;
    }

    .vacancies__decor {
        top: 170px;
        right: 180px;
    }

    .advantages__header {
        margin-bottom: 30px;
    }

    .vacancies__list {
        grid-template-columns: repeat(3, 1fr);
    }

    .reply__form {
        grid-template-columns: 1fr;
        padding: 40px 40px 60px 40px;
    }

    .reply__input,
    .reply__resume {
        grid-column: auto;
    }

    .reply__input {
        padding: 14.5px 10px;
    }

    .reply__label[for="policy"] {
        grid-row: 7;
        margin-top: 50px;
    }

    .reply__header {
        margin-bottom: 30px;
    }

    .advantages__list {
        grid-template-columns: 1fr;
        grid-auto-rows: min-content;
    }

    .advantages__card {
        display: flex;
    }

    .advantages__icon {
        margin-bottom: 0;
        margin-right: 20px;
    }
}

@media (width < 768px) {
    .welcome__header {
        margin-bottom: 30px;
    }

    .vacancies {
        padding: 60px 20px;
    }

    .vacancies__header {
        margin-bottom: 30px;
    }

    .vacancies__list {
        grid-template-columns: repeat(2, 1fr);
    }

    .vacancies__card {
        min-height: 214px;
    }

    .reply__form {
        grid-template-columns: 1fr;
        padding: 40px 30px 60px 30px;
    }

    .vacancies__vacancy-name {
        font-size: 14px;
    }
    
    .reply__submit {
        margin-top: 20px;
        width: 100%;
    }

    .reply__resume {
        flex-wrap: wrap;
        gap: 20px 0;
    }

    .file-label {
        padding: 8px 15px;
    }
}

@media (width < 480px) {
    .welcome__img {
        border-radius: 10px;
    }

    .vacancies {
        padding: 50px 20px;
    }

    .vacancies__vacancy-name {
        padding: 0;
    }

    .vacancies__card {
        padding: 10px 10px 0 10px;
        min-height: 149px;
        line-height: 1.2;
    }

    .vacancies__vacancy-name {
        font-size: 12px;
    }

    .reply__header {
        margin-bottom: 30px;
    }

    .reply__form {
        padding: 30px 15px 30px 15px;
    }

    .reply__label[for="policy"] {
        font-size: 14px;
        margin-top: 30px;
    }

    .advantages__card {
        padding: 15px;
    }

    .advantages__icon {
        width: 50px;
        height: 50px;
        border: 3px solid var(--color-bg-light);
        padding: 11px;
        border-radius: 7px;
        margin-right: 15px;
    }

    .advantages__description {
        font-size: 14px;
    }
}

/* Страница вакансий */


/* Страница вакансии */

.hero {
    margin-top: 70px;
    padding: 50px;
    background-color: var(--color-bg);
    display: flex;
    justify-content: space-between;
    align-items: end;
    flex-wrap: wrap;
    border-radius: 30px;
}

.hero__content {
    max-width: 768px;
}

.hero__header {
    font-weight: 400;
    font-size: 40px;
    line-height: 1.2;
    max-width: 627px;
}

.hero__description {
    font-weight: 500;
    font-size: 18px;
    line-height: 1.4;
    color: var(--color-text-pale);
    margin-top: 15px;
}

.hero__button {
    background-image: var(--color-main-gradient);
    padding: 17.5px !important;
    font-size: 18px;
    font-family: inherit;
    font-weight: 500;
    line-height: 1.4;
    min-width: 245px;
    text-align: center;
    color: var(--color-bg-light);
    border-radius: 15px;
    border: none;
    box-shadow: 0px 5px 15px 0px #05079236;
    cursor: pointer;
    margin-top: 30px;
}

.hero__button:hover {
    background-image: none;
}

.hero__button:active {
    background-image: none;
    background-color: #154AAA !important;
}

.hero__button:disabled {
    background-image: none;
    background-color: #D6D6D6 !important;
}

.vacancy {
    display: grid;
    grid-template-columns: .75fr 1fr;
    gap: 60px;
    margin-top: 50px;
}

.vacancy__image {
    width: 100%;
    object-fit: cover;
    border-radius: 15px;
}

.vacancy__card {
    padding: 25px;
    background-color: var(--color-bg);
    border-radius: 30px;
}

.vacancy__header {
    font-weight: 400;
    font-size: 22px;
    line-height: 1.4;
}

.vacancy__list {
    margin-top: 20px;
    display: grid;
    gap: 10px;
}

.vacancy__offer .vacancy__list {
    grid-template-columns: 1fr 1fr;
}

.vacancy__list-item {
    display: flex;
    align-items: center;
    min-height: 25px;
}

.vacancy__list-item::before {
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    background: linear-gradient(111.07deg, #297FFF 0%, #00F260 100.66%);
    transform: rotate(-45deg);
    margin-right: 15px;
    border-radius: 3px;
    flex-shrink: 0;
}

.vacancy__text {
    font-size: 18px;
    line-height: 1.4;
    color: var(--color-text-pale);
}

.vacancy__card + .vacancy__card {
    margin-top: 20px;
}

.galery {
    margin-top: 50px;
}

.swiper-slide {
    height: auto;
    border-radius: 20px;
    overflow: hidden;
}

.galery__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    min-height: 229px;
    border-radius: 20px;
}

.swiper-button-next, .swiper-rtl .swiper-button-prev,
.swiper-button-prev, .swiper-rtl .swiper-button-next {
    width: var(--swiper-button-size);
    height: var(--swiper-button-size);
}

.swiper-button-next, .swiper-rtl .swiper-button-prev {
    right: 20px;
}

.swiper-button-prev, .swiper-rtl .swiper-button-next {
    left: 20px;
}

.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after,
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
    content: '';
    background-image: url('../images/vacancies/slider_arrow.svg');
    background-color: var(--color-bg-light);
    background-size: auto;
    background-position: center;
    background-repeat: no-repeat;
    display: block;
    width: var(--swiper-button-size);
    height: var(--swiper-button-size);
    border: 1px solid #DADCE0;
    border-radius: 10px;
}

.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    transform: rotate(180deg);
    right: unset;
}

@media (width < 1920px) {
    .hero {
        margin-top: 50px;
        padding: 30px;
    }
    .hero__header {
        font-size: 30px;
        max-width: 460px;
    }

    .hero__description {
        max-width: 670px;
    }

    .vacancy {
        gap: 50px;
    }

    .vacancy__card {
        padding: 15px;
    }

    .vacancy__card + .vacancy__card {
        margin-top: 30px;
    }

    .vacancy__header {
        font-size: 20px;
    }

    .vacancy__list {
        margin-top: 15px;
        gap: 7px;
    }

    .vacancy__text {
        font-size: 14px;
    }

    .galery__image {
        min-height: 176px;
    }
}

@media (width < 1280px) {
    .hero {
        margin-top: 60px;
    }

    .vacancy {
        grid-template-columns: 1fr;
    }

    .vacancy__card + .vacancy__card {
        margin-top: 20px;
    }

    .vacancy__image {
        aspect-ratio: 1.5/1;
        object-position: top;
    }

    .galery.container {
        max-width: 100%;
        overflow: hidden;
    }

    .galery .swiper {
        overflow: visible;
    }
}

@media (width < 768px) {
    .hero {
        margin-top: 40px;
    }

    .hero__button {
        margin-top: 20px;
        width: 100%;
    }

    .swiper-button-next, .swiper-rtl .swiper-button-prev {
        right: 0;
    }
}

@media (width < 480px) {
    .hero {
        margin-top: 30px;
        padding: 20px 15px;
    }

    .hero__header {
        font-size: 24px;
    }

    .hero__description {
        font-size: 14px;
    }

    .vacancy {
        margin-top: 30px;
        gap: 30px;
    }

    .vacancy__header {
        font-size: 18px;
    }

    .vacancy__list-item {
        align-items: flex-start;
    }

    .vacancy__offer .vacancy__list {
        grid-template-columns: 1fr;
    }

    .galery__image {
        min-height: 129px;
    }

    .vacancy__list-item::before {
        margin-top: 8px;
    }
}
/* Страница вакансии */
